.new-thread {

    .input-title {
        font-size: 1.5rem;
        font-weight: bold;
    }

    em.loading {
        font-size: .8rem;
        color: #888;
    }

    .draft {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        h6 {
            font-size: .7rem;
            color: $primary;
        }

        p {
            margin: 0;
        }

        button {
            border: none;
            padding: 0;
            min-width: unset;
            color: var(--primary);
            font-size: 1.5rem;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: .3s;
            background: white;

            &:hover {
                transform: rotate(360deg);
            }
        }
    }

    mr-multi-input {
        margin-bottom: 20px;
        display: block;
    }

    textarea {
        resize: vertical;
    }

}

.active .draft button {
    display: none;
}


.thread-brief {
    margin-bottom: 10px;
    position: relative;
    background: white;
    padding: 20px;
    border-radius: 4px;
    box-shadow: 0 0 10px rgba(64, 98, 224, 0.05);

    @media(min-width: 600px) {
        padding: 20px 25px;
    }

    header {
        margin-bottom: 10px;

        [mr-button] {
            float: right;
        }
    }

    .summary {

        p {
            font-size: .9rem;
            margin-top: 5px;
            color: #777;
        }
    }

    mr-editor-readonly {
        margin-bottom: 20px;
    }

    mr-dropdown {
        float: right;
        font-size: 1rem;

        i {
            font-size: 1.5rem;
        }

        .content {
            right: 0;
        }
    }
}

.thread-view {

    @media(min-width: 960px) {
        display: grid;
        grid-template-columns: 3fr 280px;
        gap: 20px;
    }

    .summary {
        color: #777;
        margin: 20px 0;
        background: #f9f9f9;
        padding: 20px $mobile-padding;
        @include inset-margin;

        @media(min-width: 600px) {
            padding: 20px $desktop-padding;
        }

        p {
            margin: 0;
            font-family: inherit;
        }
    }

    .opener {
        @include corner(top, left);
    }

    .reply-block {
        position: relative;
        margin-bottom: 20px;

        mr-dropdown {
            float: right;
            font-size: 1rem;

            i {
                font-size: 1.5rem;
            }

            .content {
                right: 0;
            }
        }

        .authoring {
            font-size: 0.9rem;
            margin-top: 10px;
            border-top: 1px dashed #eee;
            padding-top: 10px;
            text-align: right;
            font-weight: bold;
            line-height: 1rem;
        }

        .action-block {
            float: right;
            margin-left: 10px;

            .mr-icon-only-button {
                margin-left: 20px;
            }

            mr-dropdown {
                margin-left: 20px;
            }
        }

        .title .meta {
            margin-top: 5px;

            @media(min-width: 600px) {
                display: flex;
            }
        }
    }

    .reply-post {
        @include corner(bottom, left);

        .action-footer {
            margin-top: 30px;
        }
        .action-footer button + button {
            margin-left: 20px;
        }
    }

    aside {
        @include corner(top, right);
        @include corner(bottom, right);
        position: sticky;
        top: 86px;

        .counters li {
            color: $grey;
        }

        hr {
            @include inset-margin;
        }

        mr-participant-list {
            margin-bottom: 10px;
            display: block;
        }
    }
}



.meta {
    font-size: .8rem;

    @media(min-width: 600px) {
        text-align: left;
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
    }

    .thread-info {
        * + *::before {
            @include dot;
        }
    }

    .status-tag {
        margin-top: 5px;
        padding: 0 8px;
        border-radius: 10px;
        border: 1px solid $primary-light;
        white-space: nowrap;
        display: inline-block;

        b {
            font-weight: normal;
            color: $primary;
        }
    }

    .status-tag + .status-tag {
        margin-left: 5px;
    }
}

.time {
    .timestamp {
        font-size: 0.8rem;
        font-weight: normal;
        color: $lighter;
        display: inline-block;

        & + .timestamp {
            &::before {
                @include dot;
            }
        }
    }
}


.deleted {
    font-weight: bold;
    font-size: .7rem;
    color: #aaa;
    text-transform: uppercase;
}
